<div class="container">
    
    <div class="row mt-3"> 
        <div class="btn-group btn-group-toggle" data-toggle="buttons">
            <button type="button" class="btn btn-primary" (click)="formSucursal()">
                <input type="radio" name="options" id="option1"> Sucursal
            </button>
            <button type="button" class="btn btn-primary" (click)="formRegional()">
                <input type="radio" name="options" id="option1"> Regional
            </button>
        </div>
    </div>

    <!--Formulario búsqueda por sucursal-->
    <div *ngIf="selectSucursal">
        <form [formGroup]="sucursalForm">
            <div class="form-row mt-3">
                <div class="form-group col-md-6">
                    <label for="fecha_1">Fecha Inicio: </label>
                    <input type="date" class="form-control" id="fechaSuc_1" name="fechaSuc_1" 
                        formControlName="fechaSuc_1"
                        [class.is-invalid]="fechaSuc_1.invalid && (fechaSuc_1.dirty || fechaSuc_1.touched)"/>
                        <div class="form-text text-danger my-2" *ngIf="fechaSuc_1.invalid && (fechaSuc_1.dirty || fechaSuc_1.touched)">
                            <small>Ingresa fecha válida</small>
                        </div>
                </div>
                <div class="form-group col-md-3">
                    <label for="fecha_2">Fecha fin: </label>
                    <input type="date" class="form-control" id="fechaSuc_2" name="fechaSuc_2" 
                    formControlName="fechaSuc_2"
                    [class.is-invalid]="fechaSuc_2.invalid && (fechaSuc_2.dirty || fechaSuc_2.touched)"/>
                    <div class="form-text text-danger my-2" *ngIf="fechaSuc_2.invalid && (fechaSuc_2.dirty || fechaSuc_2.touched)">
                        <small>*Campo requerido.</small>
                    </div>
                </div>
                <div class="form-group col-md-3">
                    <label for="sucursalInput">Sucursal: </label>
                    <select class="custom-select" name="sucursalInput" id="sucursalInput" 
                    formControlName="sucursalInput"
                    [class.is-invalid]="sucursalInput.invalid && (sucursalInput.dirty || sucursalInput.touched)">
                        <option value="xalapa">Xalapa</option>
                        <option value="teziutlan">Teziutlán</option>
                        <option value="oaxaca">Oaxaca</option>
                        <option value="puebla">Puebla</option>
                    </select>
                    <div class="form-text text-danger my-2" 
                    *ngIf="sucursalInput.invalid && (sucursalInput.dirty || sucursalInput.touched)">
                        <small>Ingresa sucursal</small>
                    </div>
                </div>
            </div>

            <button type="button" class="btn btn-primary" (click)="findByDateSucursal()">Buscar</button>
        </form>
    </div>

    <!--Formulario búsqueda por regional-->
    <div *ngIf="selectRegional">
        <form [formGroup]="regionalForm">
            <div class="form-row mt-3">
                <div class="form-group col-md-6">
                    <label for="fecha_1">Fecha Inicio: </label>
                    <input type="date" class="form-control" id="fecha_1" formControlName="fecha_1"
                    [class.is-invalid]="fecha_1.invalid && (fecha_1.dirty || fecha_1.touched)"/>
                    <div class="form-text text-danger my-2" *ngIf="fecha_1.invalid && (fecha_1.dirty || fecha_1.touched)">
                        <small>Ingresa fecha válida</small>
                    </div>
                </div>
                <div class="form-group col-md-3">
                    <label for="fecha_2">Fecha fin: </label>
                    <input type="date" class="form-control" 
                    id="fecha_2"
                    formControlName="fecha_2"
                    [class.is-invalid]="fecha_2.invalid && (fecha_2.dirty || fecha_2.touched)"/>
                    <div class="form-text text-danger my-2" *ngIf="fecha_2.invalid && (fecha_2.dirty || fecha_2.touched)">
                        <small>Ingresa fecha válida</small>
                    </div>
                </div>
                <div class="form-group col-md-3">
                    <label for="regional">Regional: </label>
                    <select class="custom-select"
                    id="regional" 
                    formControlName="regional"
                    [class.is-invalid]="regional.invalid && (regional.dirty || regional.touched)">
                        <option value="veracruz">Veracruz</option>
                        <option value="oaxaca">Oaxaca</option>
                        <option value="puebla">Puebla</option>
                    </select>
                    <div class="form-text text-danger my-2" 
                    *ngIf="regional.invalid && (regional.dirty || regional.touched)">
                        <small>Ingresa regional</small>
                    </div>
                </div>
            </div>

            <button type="button" class="btn btn-primary" (click)="findByDateRegional()">Buscar</button>
        </form>
    </div>

    <div *ngIf="isDeletedAlert" class="alert alert-warning alert-dismissible fade show mt-5">
        <i class="fas fa-check-circle"></i>
        Eliminado Exitosamente
        <button type="button" class="close" data-dismiss="alert" aria-label="Close" (click)="dismmisAlert()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div class="row" class="my-5">
        <div class="table-responsive">
            <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped header table-hover" id="excel-table">
                <thead>
                    <tr>
                        <th scope="col">ID</th>
                        <th scope="col">Nombre AC</th>
                        <th scope="col">Clientes</th>
                        <th scope="col">Monto</th>
                        <th scope="col">Banco</th>
                        <th scope="col">Fecha Desembolso</th>
                        <th scope="col">Sucursal</th>
                        <th scope="col">Regional</th>
                        <th scope="col">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let item of lista">
                        <th> {{ item.id }} </th>
                        <th> {{ item.nombre_ac }}</th>
                        <th> {{ item.clientes }}</th>
                        <th> $ {{ item.monto | number:'3.2' }} </th>
                        <th> {{ item.nombrebanco }} </th>
                        <th> {{ item.fecha_desembolso | date:'yyyy/MM/dd' }} </th>
                        <th> {{ item.nombresucursal }} </th>
                        <th> {{ item.nombreregional }} </th>
                        <td>
                            <div class="col btn-group">
                                <button class="btn btn-outline-danger mr-1" (click)="deleteDesembolso(item.id)">
                                    <i class="fas fa-trash-alt"></i>
                                </button>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

</div>

<app-footer></app-footer>